Page MenuHomePhabricator

Decommission labnet1001 & labnet1002
Closed, ResolvedPublic

Description

labnet1001:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.)

Steps for DC-Ops:
The following steps cannot be interrupted, as it will leave the system in an unfinished state.
Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

labnet1002:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.)

Steps for DC-Ops:
The following steps cannot be interrupted, as it will leave the system in an unfinished state.
Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Change 506346 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Move labnet1001, 1002 to role::spare, clean up other references

https://gerrit.wikimedia.org/r/506346

Andrew renamed this task from Reclaim/Decommission labnet1001, 1002 to Decommission labnet1001, 1002.Apr 25 2019, 4:27 PM

Change 506346 merged by Andrew Bogott:
[operations/puppet@production] Move labnet1001, 1002 to role::spare, clean up other references

https://gerrit.wikimedia.org/r/506346

asw2-b-eqiad:

robh@asw2-b-eqiad> show interfaces descriptions | grep labnet
xe-2/0/22 up up labnet1001:eth1
xe-2/0/24 up up labnet1001:eth0
xe-4/0/44 up up labnet1002:eth0
xe-4/0/45 up up labnet1002:eth1

cookbooks.sre.hosts.decommission executed by robh@cumin1001 for hosts: labnet1001.eqiad.wmnet

  • labnet1001.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor

cookbooks.sre.hosts.decommission executed by robh@cumin1001 for hosts: labnet1002.eqiad.wmnet

  • labnet1002.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor

Change 506574 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom labnet100[12] production dns

https://gerrit.wikimedia.org/r/506574

Change 506575 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] labnet100[12] decom

https://gerrit.wikimedia.org/r/506575

Change 506575 merged by RobH:
[operations/puppet@production] labnet100[12] decom

https://gerrit.wikimedia.org/r/506575

RobH renamed this task from Decommission labnet1001, 1002 to Decommission labnet1001 & labnet1002.Apr 25 2019, 11:48 PM
RobH reassigned this task from RobH to Cmjohnson.
RobH triaged this task as Medium priority.
RobH edited projects, added ops-eqiad; removed Patch-For-Review.
RobH updated the task description. (Show Details)
RobH moved this task from Backlog to pending onsite steps (eqiad) on the decommission-hardware board.
RobH moved this task from Backlog to Decommission on the ops-eqiad board.
RobH added a subscriber: RobH.

Change 506574 merged by RobH:
[operations/dns@master] decom labnet100[12] production dns

https://gerrit.wikimedia.org/r/506574

Cmjohnson added subscribers: Jclark-ctr, Cmjohnson.

@Jclark-ctr Please wipe and remove these servers from the rack and update the task -- assign it back to me once done please.

Cmjohnson raised the priority of this task from Medium to High.Aug 20 2019, 7:13 PM

wiped disk on labnet1002 removed from netbox and racks.

labnet1001 not in rack listed previously listed b3

Change 531728 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Removing dns entries for labnet100[1-2]

https://gerrit.wikimedia.org/r/531728

Change 531728 merged by Cmjohnson:
[operations/dns@master] Removing dns entries for labnet100[1-2]

https://gerrit.wikimedia.org/r/531728

@Jclark-ctr did you add this to the tracking sheet?

these were added to the tracking sheet